;MP3 to Ogg
;
; This script is based on example1.nsi, but it remember the directory, 
; has uninstall support and (optionally) installs start menu shortcuts.
;
; It will install example2.nsi into a directory that the user selects,

;--------------------------------

; The name of the installer
Name "MP3 <-> Ogg Vorbis v0.0.3.1 Beta"

; The file to write
OutFile "MP3 to Ogg v0.0.3.1 Beta-setup.exe"

; The default installation directory
InstallDir "$PROGRAMFILES\MP3 to Ogg\"

; Registry key to check for directory (so if you install again, it will 
; overwrite the old one automatically)
InstallDirRegKey HKLM "Software\MP3toOgg " "Install_Dir"

LicenseText "You must agree to the following terms in order to continue:"
LicenseData ".\MP3 to Ogg Converter\MP3 to Ogg License.txt"
;--------------------------------

; Pages

Page license
Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; The stuff to install
Section "MP3 <-> Ogg v0.0.3.1 Beta (required)"

  SectionIn RO
  
  ; Set output path to the installation directory.
  SetOutPath $INSTDIR
  
  ; Put file there
  File ".\MP3 to Ogg Converter\*.*"

  SetOutPath "$INSTDIR\resource\"
  

  File ".\MP3 to Ogg Converter\resource\*.*"

  SetOutPath "$INSTDIR\resource\ID3"
  
  File ".\MP3 to Ogg Converter\resource\ID3\*.*"

  SetOutPath "$INSTDIR\resource\oggdec\"
  
  File ".\MP3 to Ogg Converter\resource\oggdec\*.*"
  
  SetOutPath "$INSTDIR\resource\oggenc2.83-aoTuVb4.51generic\"
  
  File ".\MP3 to Ogg Converter\resource\oggenc2.83-aoTuVb4.51generic\*.*"
  
  SetOutPath "$INSTDIR\resource\oggenc283_sse2_lancer\"
  
  File ".\MP3 to Ogg Converter\resource\oggenc283_sse2_lancer\*.*"
  
  SetOutPath "$INSTDIR\resource\oggenc283_sse2mt_lancer"
  
  File ".\MP3 to Ogg Converter\resource\oggenc283_sse2mt_lancer\*.*"
  
  SetOutPath "$INSTDIR\resource\oggenc283_sse3_lancer\"
  
  File ".\MP3 to Ogg Converter\resource\oggenc283_sse3_lancer\*.*"
  
  SetOutPath "$INSTDIR\resource\oggenc283_sse3mt_lancer\"
  
  File ".\MP3 to Ogg Converter\resource\oggenc283_sse3mt_lancer\*.*"
  
  SetOutPath "$INSTDIR\resource\oggenc283_sse_lancer\"
  
  File ".\MP3 to Ogg Converter\resource\oggenc283_sse_lancer\*.*"
  
  ; Write the installation path into the registry
  WriteRegStr HKLM SOFTWARE\oggdropXPd "Install_Dir" "$INSTDIR"
  
  ; Write the uninstall keys for Windows
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\OggtoMP3" "DisplayName" "Ogg to MP3"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\OggtoMP3" "UninstallString" '"$INSTDIR\uninstall.exe"'
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\OggtoMP3" "NoModify" 1
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\OggtoMP3" "NoRepair" 1
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Optional section (can be disabled by the user)
Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\MP3 to Ogg Vorbis"
  CreateShortCut "$SMPROGRAMS\MP3 to Ogg Vorbis\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  CreateShortCut "$SMPROGRAMS\MP3 to Ogg Vorbis\MP3 to Ogg.lnk" "$INSTDIR\MP3 to Ogg Vorbis Converter-Beta.exe" "" "$INSTDIR\MP3 to Ogg Vorbis Converter-Beta.exe" 0
  
SectionEnd

Section "Desktop Shortcut"

  CreateShortCut "$Desktop\MP3 to Ogg.lnk" "$INSTDIR\MP3 to Ogg Vorbis Converter-Beta.exe" "" "$INSTDIR\MP3 to Ogg Vorbis Converter-Beta.exe" 0

SectionEnd

; Section "Documentation"

;   CreateDirectory "$INSTDIR\Documentation"
  
;   SetOutPath "$INSTDIR\Documentation"

;   File "AboutDialogue.png"
;   File "DecodingDialogue.png"
;   File "EncodingDialogue.png"
;   File "LogFile.png"
;   File "LogFileClear.png"
;   File "MAAD.txt"
;   File "MainWindowDec.png"
;   File "MainWindowEnc.png"
;   File "Menu.png"
;   File "oggdropXPd_-_User_Guide.html"
;   File "OutputDialogue.png"
;   File "SettingPriority.png"
;   File "TaggingDialogue.png"
;   File "TagHelpDialogue.png"
;   File "TempDialogue.png"
;   File "twirlfish01.png"

; File ".\oggdropXPdUserGuide1.6\*.*"

; 	  CreateShortCut "$SMPROGRAMS\oggdropXPd\Help.lnk" "$INSTDIR\Documentation\oggdropXPd_-_User_Guide.html" "" "$INSTDIR\Documentation\oggdropXPd_-_User_Guide.html" 0
	  
; SectionEnd
;--------------------------------

; Uninstaller

Section "Uninstall"
  
  ; Remove registry keys
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\MP3toOgg"
  DeleteRegKey HKLM SOFTWARE\MP3toOgg

  ; Remove files and uninstaller
  Delete $INSTDIR\*.*
  Delete $INSTDIR\uninstall.exe
;   Delete "$INSTDIR\Documentation\*.*"
  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\MP3 to Ogg Vorbis\*.*"
  Delete "$Desktop\MP3 to Ogg.lnk"
 

  ; Remove directories used
  RMDir /r $INSTDIR
  
  RMDir "$SMPROGRAMS\MP3 to Ogg Vorbis"
  RMDir "$INSTDIR"

SectionEnd
